ScopedRunningInstance
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.resources
Class ScopedRunningInstance

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.resources.ScopedResource
          org.gcube.vremanagement.resourcemanager.impl.resources.ScopedRunningInstance

    public final class ScopedRunningInstance

extends ScopedResource

A scoped `GCUBERunningInstance`

Author:
  Manuele Simi (ISTI-CNR)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.vremanagement.resourcemanager.impl.resources.ScopedResource
`ScopedResource.ResourceNotFound, ScopedResource.STATUS`

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.lang.String` | `getHostedOnID()`
`boolean` | `isUndeployNeeded()`
`void` | `reportFailureOnSourceService(java.lang.String message, java.lang.Exception e)`
`void` | `wasSuccessful()`

Methods inherited from class org.gcube.vremanagement.resourcemanager.impl.resources.ScopedResource
`doAction, equals, findResource, getAction, getErrorMessage, getHostedOn, getId, getJointTime, getLastModificationTime, getScope, getStatus, getType, hashCode, isSuccess, setErrorMessage, setHostedON, setJointTime, setStatus, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

Method Detail

### isUndeployNeeded

    public boolean isUndeployNeeded()
                             throws ScopedResource.ResourceNotFound

  Throws:
    `ScopedResource.ResourceNotFound`

### getHostedOnID

    public java.lang.String getHostedOnID()

  Returns:
    the ID of the gHN hosting the instance

### reportFailureOnSourceService

    public void reportFailureOnSourceService(java.lang.String message,
                                             java.lang.Exception e)

### wasSuccessful

    public void wasSuccessful()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD